> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korve.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Events

> Resume a run event feed by requesting events after the last durable cursor. Clients may poll without losing deltas.



## OpenAPI

````yaml /openapi.json get /v1/orgs/{orgId}/projects/{projectId}/operator/threads/{threadId}/events
openapi: 3.1.0
info:
  title: Korve API
  version: 0.1.0
  description: >-
    Typed control plane for deploying applications and explicitly provisioning
    their managed infrastructure.
servers:
  - url: https://api.korve.dev
security: []
paths:
  /v1/orgs/{orgId}/projects/{projectId}/operator/threads/{threadId}/events:
    get:
      tags:
        - projectOperator
      summary: List Events
      description: >-
        Resume a run event feed by requesting events after the last durable
        cursor. Clients may poll without losing deltas.
      operationId: projectOperator.listEvents
      parameters:
        - name: orgId
          in: path
          required: true
          schema:
            type: string
          description: The organization's id (UUID) or slug — either form is accepted.
        - name: projectId
          in: path
          required: true
          schema:
            type: string
          description: The project's id (UUID) or slug — either form is accepted.
        - name: threadId
          in: path
          required: true
          schema:
            type: string
        - name: after
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 250
      responses:
        '200':
          description: Ordered durable events and the next cursor.
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                properties:
                  events:
                    type: array
                    items:
                      type: object
                      additionalProperties: false
                      properties:
                        cursor:
                          type: integer
                          minimum: 1
                        id:
                          type: string
                          format: uuid
                        runId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        kind:
                          type: string
                          enum:
                            - run_started
                            - status
                            - text_delta
                            - tool_result
                            - action_required
                            - run_completed
                            - run_failed
                        payload:
                          type: object
                          additionalProperties: true
                        createdAt:
                          type: string
                          format: date-time
                      required:
                        - cursor
                        - id
                        - runId
                        - kind
                        - payload
                        - createdAt
                  nextCursor:
                    type: integer
                    minimum: 0
                required:
                  - events
                  - nextCursor
      security:
        - apiKey: []
        - session: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: korve_api_key
    session:
      type: apiKey
      in: cookie
      name: korve.session_token

````